Application: gvSIG desktop - gvSIG feature requests #3137
"Next zoom" tool is missing in the toolbar and in the menu
01/23/2015 12:18 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Miguel Company

Category: Usability

Target version: 2.2.0-2310

gvSIG version: 21.0 Add-on resolve version:
Keywords: View Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

The "Next zoom" (the opposite of "Previous zoom") tool is missing in the navigation toolbar and in the View > Navigation menu.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3294: Orden de herramien... Closed 03/25/2015

Associated revisions

Revision 42170 - 05/05/2015 01:57 PM - Miguel Company

refs #3137

Primera aproximacién de la nueva herramienta 'Zoom Next'

Revision 42173 - 05/06/2015 01:49 PM - Miguel Company

refs #3137

Anadida la herramienta de "Encuadre siguiente", tanto en la barra de menuds como en la barra de herramientas.
Anadida la clave de traduccion de la propia herramienta.

Creado el nuevo icono.

Revision 42177 - 05/07/2015 09:59 AM - Miguel Company

refs #3137

Anadidos comentarios en los nuevos métodos creados para la herramienta "Next zoom".

Revision 42192 - 05/18/2015 01:31 PM - Francisco Diaz Carsi

refs #3137 Dejada toda la responsabilidad del manejo del histérico del extent del ViewPort sobre la clase ExtentHistory

History

#1 - 03/25/2015 11:30 AM - Alvaro Anguix
- Keywords set to View

- gvSIG build set to 2269

- Assignee set to Miguel Company

- Category changed from Document view to Usability
#2 - 03/25/2015 12:41 PM - Alvaro Anguix

- Related to gvSIG bugs #3294: Orden de herramientas de navegacion distinta en menu y barra de botones added

#3 - 03/31/2015 09:17 AM - Miguel Company
- Status changed from New to In progress

#4 - 03/31/2015 10:14 AM - Miguel Company
- Status changed from In progress to New

- Tracker changed from gvSIG bugs to gvSIG feature requests

#5 - 04/21/2015 12:37 PM - Miguel Company
- Target version set to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#6 - 04/23/2015 10:50 AM - Miguel Company
- Status changed from New to In progress

#7 - 04/23/2015 11:38 AM - Miguel Company

- Status changed from In progress to New

#8 - 04/23/2015 11:41 AM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94) to 2.2.0-2311-rc2

#9 - 04/28/2015 09:24 AM - Miguel Company
- Status changed from New to In progress

#10 - 04/29/2015 05:28 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#11 - 04/30/2015 10:01 AM - Miguel Company
- Status changed from In progress to New

#12 - 04/30/2015 10:53 AM - Miguel Company
- Status changed from New to In progress

#13 - 05/05/2015 01:01 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2309

#14 - 05/06/2015 01:55 PM - Miguel Company
Created new tool "Next zoom".

Added to the menu bar and toolbar.

#15 - 05/06/2015 01:56 PM - Miguel Company
- Status changed from In progress to Fixed

#16 - 05/07/2015 06:26 PM - Alvaro Anguix

- Status changed from Fixed to New

No se puede testear, al dar a zoom previo salta un error y nunca llega a hacer zoom previo...por lo que tampoco hay zoom siguiente.
Lo reabro porque es muy probable que el error esté en esta nueva herramienta de zoom siguiente.
#17 - 05/07/2015 07:11 PM - Antonio Falciano

Thank you very much, Miguel. The "Next zoom" tool seems to work as expected in my case, i.e. only after the "Previous zoom" is used before and so

one or more extents are memorized. Cheers.

#18 - 05/08/2015 09:15 AM - Miguel Company

- Status changed from New to In progress

#19 - 05/08/2015 09:29 AM - Alvaro Anguix

- File gvSIG.log added

subo el log

#20 - 05/08/2015 12:07 PM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2309 to 2.2.0-2310

#21 - 05/08/2015 12:22 PM - Miguel Company
- Status changed from In progress to New

#22 - 05/13/2015 11:26 AM - Miguel Company
- Status changed from New to In progress

#23 - 05/18/2015 02:02 PM - Francisco Diaz Carsi
- Status changed from In progress to Fixed

#24 - 05/19/2015 09:41 AM - Miguel Company

Fixed the problem when opening a project saved before the new tool's creation.

#25 - 05/19/2015 07:52 PM - Antonio Falciano

- Status changed from Fixed to Closed

Files

gvSIG.log 409 KB 05/08/2015
